import { defineStore } from 'pinia';

export const usePersonenStore = defineStore('personen', {
	state: () => ({
		personen: {},
	}),
	actions: {
		load () {
			this.personen.value = {};

			try {
				if (localStorage.personen)
					this.personen.value = JSON.parse(localStorage.getItem('personen'));

				console.log(this.personen.value);
			}
			catch(_) {
				// Nothing
			}
		},
		save () {
			localStorage.setItem('personen', JSON.stringify(this.personen.value));
		},
	},
});
